com.pixelmed.dicom

## Class ImageLibrary.ImageLibraryEntry

- java.lang.Object
- - com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

- Direct Known Subclasses:
    CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry, ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry
  Enclosing class:
    ImageLibrary

      public static class ImageLibrary.ImageLibraryEntry
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HierarchicalImageReference` | `hierarchicalImageReference`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ImageLibraryEntry()`
    `` | `ImageLibraryEntry(AttributeList list)`
    `` | `ImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)`
    `` | `ImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `constructImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)`
    `ContentItem` | `getImageContentItem(ContentItemFactory cif, ContentItem parent)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hierarchicalImageReference

          protected HierarchicalImageReference hierarchicalImageReference

  - ### Constructor Detail

    - #### ImageLibraryEntry

          protected ImageLibraryEntry()

    - #### ImageLibraryEntry

          public ImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem,
                                   java.util.Map<java.lang.String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

    - #### ImageLibraryEntry

          public ImageLibraryEntry(AttributeList list)

    - #### ImageLibraryEntry

          public ImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)

  - ### Method Detail

    - #### constructImageLibraryEntry

          protected void constructImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)

    - #### getImageContentItem

          public ContentItem getImageContentItem(ContentItemFactory cif,
                                                 ContentItem parent)
                                          throws DicomException

      Throws:
        `DicomException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`